summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Kennedy <mkennedy@gentoo.org>2004-02-12 15:14:03 +0000
committerMatthew Kennedy <mkennedy@gentoo.org>2004-02-12 15:14:03 +0000
commit6aae62363e82fc34f80faa49053b06995812aac8 (patch)
treeba38d9a721458d2d355b71fe37fc805006895cc8 /eclass/common-lisp.eclass
parentsshv2 and pam config defaults (diff)
downloadgentoo-2-6aae62363e82fc34f80faa49053b06995812aac8.tar.gz
gentoo-2-6aae62363e82fc34f80faa49053b06995812aac8.tar.bz2
gentoo-2-6aae62363e82fc34f80faa49053b06995812aac8.zip
*** empty log message ***
Diffstat (limited to 'eclass/common-lisp.eclass')
-rw-r--r--eclass/common-lisp.eclass54
1 files changed, 43 insertions, 11 deletions
diff --git a/eclass/common-lisp.eclass b/eclass/common-lisp.eclass
index a27aad06d0f6..03c50bd14721 100644
--- a/eclass/common-lisp.eclass
+++ b/eclass/common-lisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/common-lisp.eclass,v 1.4 2003/10/14 03:07:44 mkennedy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/common-lisp.eclass,v 1.5 2004/02/12 15:14:03 mkennedy Exp $
#
# Author Matthew Kennedy <mkennedy@gentoo.org>
#
@@ -15,27 +15,59 @@ CLPACKAGE=
newdepend "dev-lisp/common-lisp-controller"
pkg_postinst() {
- /usr/sbin/register-common-lisp-source $CLPACKAGE
+ if [ -z "${CLPACKAGE}" ]; then
+ die "CLPACKAGE was empty or undefined upon call to pkg_prerm"
+ else
+ for package in ${CLPACKAGE}; do
+ einfo "Registering Common Lisp source for ${package}"
+ register-common-lisp-source ${package}
+ done
+ fi
}
-pkg_prerm() {
- /usr/sbin/unregister-common-lisp-source $CLPACKAGE
+pkg_postrm() {
+ if [ -z "${CLPACKAGE}" ]; then
+ die "CLPACKAGE was empty or undefined upon call to pkg_prerm"
+ else
+ for package in ${CLPACKAGE}; do
+ if [ ! -d ${CLSOURCEROOT}/${package} ]; then
+ einfo "Unregistering Common Lisp source for ${package}"
+ rm -rf ${CLFASLROOT}/*/${package}
+# unregister-common-lisp-source ${package}
+ fi
+ done
+ fi
+}
+
+#
+# In pkg_preinst, we remove the FASL files for the previous version of
+# the source.
+#
+pkg_preinst() {
+ if [ -z "${CLPACKAGE}" ]; then
+ die "CLPACKAGE was empty or undefined upon call to pkg_preinst"
+ else
+ for package in ${CLPACKAGE}; do
+ einfo "Removing FASL files for previous version of Common Lisp package ${package}"
+ rm -rf ${CLFASLROOT}/*/${package} || true
+ done
+ fi
}
common-lisp-install() {
- insinto /usr/share/common-lisp/source/$CLPACKAGE
+ insinto ${CLSOURCEROOT}/$CLPACKAGE
doins $@
}
common-lisp-system-symlink() {
- dodir /usr/share/common-lisp/systems/`dirname $CLPACKAGE`
+ dodir ${CLSYSTEMROOT}/`dirname ${CLPACKAGE}`
if [ $# -eq 0 ]; then
- dosym /usr/share/common-lisp/source/$CLPACKAGE/$CLPACKAGE.asd \
- /usr/share/common-lisp/systems/$CLPACKAGE.asd
+ dosym ${CLSOURCEROOT}/${CLPACKAGE}/${CLPACKAGE}.asd \
+ ${CLSYSTEMROOT}/$CLPACKAGE.asd
else
- for p in $@ ; do
- dosym /usr/share/common-lisp/source/$CLPACKAGE/$p.asd \
- /usr/share/common-lisp/systems/$p.asd
+ for package in $@ ; do
+ dosym ${CLSOURCEROOT}/$CLPACKAGE/${package}.asd \
+ ${CLSYSTEMROOT}/${package}.asd
done
fi
}